<script>
    var requireJS = [];

    loadJS(requireJS, "js/common.js");
    loadJS(requireJS, "js/views/member_list.js");
    loadCSS('css/flags/flags.min.css');

</script>
<div class="page-title">
    <div class="title_left">
        <h4 th:text="#{members.list}">Listado de Afiliados</h4>
    </div>
</div>

<div class="clearfix"></div>

<div class="row">

    <div class="col-md-12 col-sm-12 col-xs-12">
        <div class="x_panel">
            <div class="x_title">

                <div class="search-bar" style="overflow: auto">
                    <div class="col-md-12">
                        <input type="text" th:value="${q}" placeholder="Buscar..." th:attr="placeholder=#{search} + '...'" name="q" id="q"/>
                        <span th:text="#{records}">Registros:</span>
                        <select name="size" id="size">
                            <option th:selected="${size == null || (size != null && size == '20')}" value="20"
                                    xmlns:th="http://xmlns.jcp.org/jsf/composite">20</option>
                            <option th:selected="${size != null && size == '50'}" value="50">50</option>
                            <option th:selected="${size != null && size == '100'}" value="100">100</option>
                            <option th:selected="${size != null && size == '500'}" value="500">500</option>
                            <option th:selected="${size != null && size == '1000'}" value="1000">1000</option>
                        </select>
                        &nbsp;
                        <span th:text="#{rank} + ':'">Rango:</span>
                        <select name="rank" id="rank">
                            <option value="all">Todos</option>
                            <option th:each="item : ${ranks}" 
                                    th:value="${item.name}" 
                                    th:selected="(${item.name} == ${rank})" 
                                    th:text="${item.name}"></option>
                        </select>
                        <span th:text="#{state}">Estado:</span>                  
                        <select name="status" id="status">
                            <option th:selected="${status == null || (status != null && status == 'all')}" value="all" th:text="#{all}">Todos</option>
                            <option th:selected="${status != null && status == 'paid'}" value="paid" th:text="#{paid}">Pagada</option>
                            <option th:selected="${status != null && status == 'pending'}" value="pending" th:text="#{pending}">Pendiente</option>
                        </select>
                        <span th:text="#{countryName} + ':'">País:</span>                  
                        <select name="country" id="country">
                            <option value="all" th:text="#{all}">Todos</option>
                            <option th:each="c : ${countries}" th:selected="${country == c}" th:value="${c}" th:text="#{${c}}">España</option>
                        </select>

                        <button class="btn btn-info btn-sm" id="search-button"><i class="fa fa-search"></i>&nbsp;<span th:text="#{search}">Buscar</span></button>

                        <!--ToolBar-->
                        <ul class="nav navbar-right panel_toolbox">
                            <li class="dropdown">
                                <a href="#" class="dropdown-toggle" data-toggle="dropdown" role="button" aria-expanded="false">
                                    <i class="fa fa-gears wings-tool-bar"></i>
                                </a>
                                <ul class="dropdown-menu" role="menu">
                                    <li>
                                        <a class="action-button" id="export-emails"><i class="fa fa-file-excel-o"></i>&nbsp;
                                            Exportar emails</a>
                                    </li>
                                </ul>
                            </li>
                        </ul>
                    </div>
                </div>
                <div class="clearfix"></div>
            </div>

            <div class="table-responsive-tall">
                <table class="table table-condensed table-striped jambo_table">
                    <thead>
                        <tr class="headings">
                            <th><input type="checkbox"/></th>
                            <th>#</th>
                            <th th:text="#{date}"></th>
                            <th th:text="#{user}"></th>
                            <th th:text="#{email}"></th>
                            <th th:text="#{phone}"></th>
                            <th th:text="#{name}"></th>
                            <th th:text="#{actions}"></th>
                            <th th:text="#{pack}"></th>
                            <th th:text="#{price}"></th>
                            <th th:text="#{status}"></th>
                            <th th:text="#{sponsor}"></th>
                            <th th:text="#{rank}"></th>
                            <th th:text="#{initialRank}"></th>
                            <th th:text="#{calculatedRank}"></th>
                            <th><i class="fa fa-bolt"></i></th>
                            <th th:text="#{actions}"></th>
                        </tr>
                    </thead>
                    <tbody>
                        <tr th:each="item : ${page.content}">                                
                            <td><input th:id="${item.id}" type="checkbox" name="member-id"></td>
                            <td th:text="${item.id}"></td>
                            <td th:text="${#dates.format(item.registrationDate, 'dd/MM/yyyy')}" th:title="${#dates.format(item.registrationDate, 'dd/MM/yyyy HH:mm:ss')}"></td>
                            <td th:text="${item.username}"></td>
                            <td th:text="${item.email}"></td>
                            <td th:text="${item.phone}"></td>
                            <td>
                                <i class="fa fa-star" th:if="${item.founder}" th:title="#{member.is_founder}"></i>
                                <span th:text="${item.firstName} + ' '+ ${item.lastName}" th:classappend="${item.deleted ? 'red' : ''}" th:title="${item.deleted ? 'Eliminado' : ''}"></span>
                            </td>
                            <td>
                                <img src="/css/flags/blank.gif" class="flag" th:if="${item.country == null && item.country == ''}"/>
                                <img src="/css/flags/blank.gif" class="flag" th:if="${item.country != null && item.country != ''}" th:classappend="'flag-'+ ${#strings.toLowerCase(item.country)}" th:title="#{${#strings.toUpperCase(item.country)}}"/>
                            </td>
                            <td>
                                <!--<a th:if="${item.order != null}" href="#" th:text="${item.order.orderItem.name}" class="order-change" th:attr="data-id=${item.id},data-name=${item.toString()}"></a>-->
                                <a th:if="${item.order != null}" href="#" th:text="${item.order.orderItem.name}"></a>
                                <span th:if="${item.order == null}">--</span>
                            </td>
                            <td>
                                <span th:if="${item.order != null}" th:text="${item.order.orderItem.getPriceText()}"></span> 
                                <span th:if="${item.order == null}">--</span>
                            </td>
                            <td>
                                <span th:if="${item.order != null}">
                                    <div th:switch="${item.order.status}" th:title="${item.order.comment}">
                                        <span th:case="review" class="label label-warning" th:text="#{${item.order.status}}">Revisar</span>
                                        <span th:case="unpaid" class="label label-primary" th:text="#{${item.order.status}}">No pagado</span>
                                        <span th:case="paid" class="label label-success" th:text="#{${item.order.status}}">Pagado</span>
                                        <span th:case="*" class="label label-default" th:text="${item.order.status}"></span>
                                    </div>                                        
                                </span>
                                <span th:if="${item.order == null}">--</span>
                            </td>
                            <td>
                                <a href="#" class="sponsor-change" th:attr="data-id=${item.id},data-name=${item.toString()}" th:if="${user.isMasterAdmin}">
                                    <span th:if="${item.sponsorId != null}" th:text="${item.sponsorId}" th:title="${item.sponsor.getNameText()}"></span>
                                    <span th:if="${item.sponsorId == null}">--</span>
                                </a>
                                <span th:if="${!user.isMasterAdmin}">
                                    <span th:if="${item.sponsorId != null}" th:text="${item.sponsorId}" th:title="${item.sponsor.getNameText()}"></span>
                                    <span th:if="${item.sponsorId == null}">--</span>                                    
                                </span>
                            </td>
                            <td>
                                <a th:text="${item.rank.name}" class="action-button" id="rank-update" th:attr="data-id=${item.id},data-name=${item.toString()}"></a>
                            </td>                                
                            <td>
                                <a href="#" th:text="${item.initialRank != null ? item.initialRank.name : '+'}" class="initial-rank-change" th:attr="data-id=${item.id},data-name=${item.toString()}"></a>
                            </td>
                            <td>
                                <a href="#" th:text="${item.calculatedRank != null ? item.calculatedRank.name : '+'}"></a>
                            </td>
                            <td th:title="${item.speedBonusEndDate != null ? #dates.format(item.speedBonusEndDate, 'dd/MM/yyyy') : '--'}">
                                <a href="#" th:text="${item.speedBonusId != null ? item.speedBonusId : '--'}" class="speed-change" th:attr="data-id=${item.id},data-name=${item.toString()}"></a>
                            </td>
                            <td>
                                <ul class="nav navbar-right panel_toolbox_table">
                                    <li class="dropdown">
                                        <a href="#" class="dropdown-toggle" data-toggle="dropdown" role="button" aria-expanded="false"><i class="fa fa-gears opener"></i></a>
                                        <ul class="dropdown-menu" role="menu">
                                            <li class="disabled">
                                                <a href="#" class="text-muted">
                                                    <h5 th:text="${item.toString()}"></h5>
                                                </a>
                                            </li>
                                            <li th:if="${user.isMasterAdmin}">
                                                <a class="action-button" id="delete-member" th:attr="data-id=${item.id},data-name=${item.toString()}">
                                                    <i class="fa fa-remove"></i>&nbsp;
                                                    <!--                                                    <span th:text="#{deleteMember}">Eliminar Afiliado</span>-->
                                                    Eliminar Afiliado
                                                </a>
                                            </li>
                                            <li>                                                        
                                                <a class="action-button" id="view-tree" th:attr="data-id=${item.id},data-name=${item.toString()}">
                                                    <i class="fa fa-sitemap"></i>&nbsp;
                                                    <!--                                                    <span th:text="#{treeView}">Vista de árbol</span>-->
                                                    Vista de árbol
                                                </a>
                                            </li>
                                            <li>
                                                <a class="action-button" id="login-as-member" th:attr="data-id=${item.username},data-name=${item.toString()}">
                                                    <i class="fa fa-lock"></i>&nbsp;
                                                    <!--                                                    <span th:text="#{loginAs}">Ingresar como</span>-->
                                                    Ingresar como
                                                </a>
                                            </li>
                                            <li>
                                                <a class="action-button" id="view-snap" th:attr="data-id=${item.id},data-name=${item.toString()}">
                                                    <i class="fa fa-camera"></i>&nbsp;
                                                    <!--                                                    <span th:text="#{seeSnapshot}">Ver instantanea</span>-->
                                                    Ver instantanea
                                                </a>
                                            </li>
                                            <li>
                                                <a class="action-button" id="edit-member" th:attr="data-id=${item.id},data-name=${item.toString()}">                                                            
                                                    <i class="fa fa-pencil"></i>&nbsp;
                                                    <!--                                                    <span th:text="#{changePassword}">Cambiar contraseña</span>-->
                                                    Cambiar contraseña
                                                </a>
                                            </li>
                                            <li>
                                                <a class="action-button" id="recalculate" th:attr="data-id=${item.id},data-name=${item.toString()}">
                                                    <i class="fa fa-gear"></i>&nbsp;
                                                    <!--                                                    <span th:text="#{recalculate}">Recalcular</span>-->
                                                    Recalcular
                                                </a>
                                            </li>
                                            <li th:if="${user.isMasterAdmin}">
                                                <a class="action-button" id="change-email" th:attr="data-id=${item.id},data-name=${item.toString()}">
                                                    <i class="fa fa-envelope"></i>&nbsp;
                                                    <!--                                                    <span th:text="#{changeEmail}">Cambiar Email</span>-->
                                                    Cambiar Email
                                                </a>
                                            </li>
                                            <li>
                                                <a class="action-button" id="change-kit" th:attr="data-id=${item.id},data-name=${item.toString()}">
                                                    <i class="fa fa-pencil"></i>&nbsp;
                                                    <!--                                                    <span th:text="#{memberKit}">Kit Afiliación</span>-->
                                                    Kit Afiliación
                                                </a>
                                            </li>
                                            <li>
                                                <a class="action-button" id="upgrade-kit" th:attr="data-id=${item.id},data-name=${item.toString()}">
                                                    <i class="fa fa-arrow-up"></i>&nbsp;
                                                    <!--                                                    <span th:text="#{addUpgrade}">Agregar upgrade</span>-->
                                                    Agregar upgrade
                                                </a>
                                            </li>
                                            <li>
                                                <a class="action-button" id="resend-email" th:attr="data-id=${item.id},data-name=${item.toString()}">
                                                    <i class="fa fa-mail-reply"></i>&nbsp;
                                                    <!--                                                    <span th:text="#{resendUsernameAndPassword}">Reenviar usuario y contraseña</span>-->
                                                    Reenviar usuario y contraseña
                                                </a>
                                            </li>
                                            <li th:if="${user.isMasterAdmin}">
                                                <a th:if="${item.order != null}" href="#" class="order-change" th:attr="data-id=${item.id},data-name=${item.toString()}">
                                                    <i class="fa fa-free-code-camp"></i>&nbsp;
                                                    <!--                                                    <span th:text="#{changeKit}">Cambiar Kit</span>-->
                                                    Cambiar Kit
                                                </a>
                                            </li>                                            
                                            <li>                                                
                                                <a class="action-button" id="mark-founder" th:attr="data-id=${item.id},data-name=${item.toString()},data-mark=0" th:if="${item.founder}">
                                                    <!--                                                    <i class="fa fa-star-o"></i>&nbsp;<span th:text="#{removeFounderMark}">Quitar marca Founder</span>-->
                                                    <i class="fa fa-star-o"></i>
                                                    Quitar marca Founder
                                                </a>
                                                <a class="action-button" id="mark-founder" th:attr="data-id=${item.id},data-name=${item.toString()},data-mark=1" th:if="${!item.founder}">
                                                    <i class="fa fa-star"></i>&nbsp;
                                                    <!--                                                    <span th:text="#{markAsFounder}">Marcar como Founder</span>-->
                                                    Marcar como Founder
                                                </a>
                                            </li>
                                            <li>                                                
                                                <a class="action-button" id="exclude-promo" th:attr="data-id=${item.id},data-name=${item.toString()},data-promo=0" th:if="${item.excludePromo}">
                                                    <i class="fa fa-star-o"></i>&nbsp;
                                                    <!--                                                    <span th:text="#{uncheckPromo}">Desmarcar Promo</span>-->
                                                    Desmarcar Promo

                                                </a>
                                                <a class="action-button" id="exclude-promo" th:attr="data-id=${item.id},data-name=${item.toString()},data-promo=1" th:if="${!item.excludePromo}">
                                                    <i class="fa fa-star"></i>&nbsp;
                                                    <!--                                                    <span th:text="#{checkPromo}">Marcar Promo</span>-->
                                                    Marcar Promo
                                                </a>
                                            </li>
                                        </ul>
                                    </li>
                                </ul>
                                <!--<i class="fa fa-eye action-button" id="view-member" th:attr="data-id=${item.id},data-name=${item.toString()}"></i>
                                    <i class="fa fa-pencil action-button" id="edit-member" th:attr="data-id=${item.id},data-name=${item.toString()}"></i>-->
                                <!--<i class="fa fa-money action-button" id="set-payed" th:attr="data-id=${item.id},data-name=${item.toString()}"></i>-->
                                <!--<i class="fa fa-eyedropper action-button" id="set-color" th:attr="data-id=${item.id},data-name=${item.toString()}"></i>-->
                            </td>
                        </tr>
                    </tbody>
                </table>
            </div>
        </div>
    </div>
    <div th:replace="frags/pagination :: paginationbar"></div>
</div>

<div th:replace="frags/empty-modal"></div>